Appearance
Conversations API
All URIs are relative to https://api.syntheticusers.com/api/v1
| Method | HTTP request | Description |
|---|---|---|
| getConversation | GET /conversations/ | Get Conversation |
| listConversations | GET /conversations | List Conversations |
getConversation
Conversation getConversation()
Example
typescript
import { createConfiguration, ConversationsApi } from '';
import type { ConversationsApiGetConversationRequest } from '';
const configuration = createConfiguration();
const apiInstance = new ConversationsApi(configuration);
const request: ConversationsApiGetConversationRequest = {
conversationId: "conversation_id_example",
};
const data = await apiInstance.getConversation(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| conversationId | [string] | defaults to undefined |
Return type
Conversation
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
listConversations
PageConversation listConversations()
Example
typescript
import { createConfiguration, ConversationsApi } from '';
import type { ConversationsApiListConversationsRequest } from '';
const configuration = createConfiguration();
const apiInstance = new ConversationsApi(configuration);
const request: ConversationsApiListConversationsRequest = {
// Comma-separated list of studies IDs (optional)
id: "id_example",
// Comma-separated list of project IDs (optional)
projectId: "projectId_example",
// Comma-separated list of study IDs (optional)
studyId: "studyId_example",
// Comma-separated list of userInterview IDs (optional)
userInterviewId: "userInterviewId_example",
// Filter by feedback type (optional)
feedbackType: "helpful",
// Filter by text (optional)
query: "query_example",
// Page number (optional)
page: 1,
// Page size (optional)
size: 50,
};
const data = await apiInstance.listConversations(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | [string] | Comma-separated list of studies IDs | (optional) defaults to undefined |
| projectId | [string] | Comma-separated list of project IDs | (optional) defaults to undefined |
| studyId | [string] | Comma-separated list of study IDs | (optional) defaults to undefined |
| userInterviewId | [string] | Comma-separated list of userInterview IDs | (optional) defaults to undefined |
| feedbackType | ConversationFeedbackType | Filter by feedback type | (optional) defaults to undefined |
| query | [string] | Filter by text | (optional) defaults to undefined |
| page | [number] | Page number | (optional) defaults to 1 |
| size | [number] | Page size | (optional) defaults to 50 |
Return type
PageConversation
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |